/**
 * Accessibility functions for Flare WebHelp
 * Philipp Nanz, DOCUFY GmbH
 */

function DyInitShortcuts()
{
  shortcut.add("Ctrl+Alt+1", DyShowTOC);
  shortcut.add("Ctrl+Alt+2", DyShowIndex);
  shortcut.add("Ctrl+Alt+3", DyShowSearch);
  shortcut.add("Ctrl+Alt+4", DyShowFavorites);
  shortcut.add("Ctrl+Alt+Num1", DyShowTOC);
  shortcut.add("Ctrl+Alt+Num2", DyShowIndex);
  shortcut.add("Ctrl+Alt+Num3", DyShowSearch);
  shortcut.add("Ctrl+Alt+Num4", DyShowFavorites);
  
  shortcut.add("Ctrl+Alt+5", DyFocusBody);
  shortcut.add("Ctrl+Alt+Num5", DyFocusBody);
  
  shortcut.add("Ctrl+Alt+F1", DyToggleNavigation); 
  shortcut.add("Ctrl+Alt+F2", DyNavigateHome);
  shortcut.add("Ctrl+Alt+F3", DyHistoryBack);
  shortcut.add("Ctrl+Alt+F4", DyHistoryForward);
  shortcut.add("Ctrl+Alt+F5", DyRefresh);
  shortcut.add("Ctrl+Alt+F6", DyAddToFavorites);
  shortcut.add("Ctrl+Alt+F7", DyPrintTopic);
  shortcut.add("Ctrl+Alt+F8", DyRemoveHighlight);
}

function DyShowTOC()
{
  MCGlobals.NavigationFrame.SetActiveIFrameByName( "toc" );
}

function DyShowIndex()
{
  MCGlobals.NavigationFrame.SetActiveIFrameByName( "index" );
}

function DyShowSearch()
{
  MCGlobals.NavigationFrame.SetActiveIFrameByName( "search" );
}

function DyShowFavorites()
{
  MCGlobals.NavigationFrame.SetActiveIFrameByName( "favorites" );
}

function DyToggleNavigation()
{
  MCGlobals.ToolbarFrame.ShowHideNavigation( true );
  
  var toggleButton	= MCGlobals.ToolbarFrame.document.getElementById( "ToggleNavigationButton" );

	if ( toggleButton != null )
	{
		toggleButton.onmouseout();	// Force onmouseout() to fire so that image gets flipped back to "hide" state
	}
}

function DyNavigateHome()
{
  MCGlobals.ToolbarFrame.NavigateHome();
}

function DyHistoryBack()
{
  MCGlobals.BodyFrame.window.history.go( -1 );
}

function DyHistoryForward()
{
  MCGlobals.BodyFrame.window.history.go( 1 );
}

function DyRefresh()
{
  MCGlobals.BodyFrame.window.history.go( 0 );
}

function DyAddToFavorites()
{
  MCGlobals.ToolbarFrame.AddToFavorites();
}

function DyPrintTopic()
{
  MCGlobals.ToolbarFrame.PrintTopic();
}

function DyRemoveHighlight()
{
  MCGlobals.ToolbarFrame.RemoveHighlight();
}

function DyFocusBody()
{
  MCGlobals.BodyFrame.window.focus();
}

FMCRegisterCallback( "MCGlobals", MCEventType.OnInit, DyInitShortcuts, null );
